# prom


## Node_exporter Set Up


## Description
this repository holds the bash script needed to set up node_exporter on a new NUC for ModalAI inc. 


## Usage
1) Clone the repository in preferred directory - 
```
git clone https://gitlab.com/aditya.nawandhar/prom.git
```
2) go to the new repository directory on computer - 
```
cd /path/to/prom
```
3) run the bash script with root privlages - 
```
sudo bash prometheus.sh
```
4) Check server is running - 
```
curl http://localhost:9100/metrics
```
> - this should output text

5) Done! Now add the ip and port on the prometheus.yml on the prometheus server under "scrape_configs:"
```
  - job_name: '<job name>'
    static_configs:
      - targets: ['<IP>:<port>']
```
6) Restart the docker containers - 
```
sudo docker-compose restart
```
7) Open grafana and the NUC dashboard and select the job name that you wrote previously
## Support
Tell people where they can go to for help. It can be any combination of an issue tracker, a chat room, an email address, etc.

## Roadmap
If you have ideas for releases in the future, it is a good idea to list them in the README.

## Contributing
State if you are open to contributions and what your requirements are for accepting them.

For people who want to make changes to your project, it's helpful to have some documentation on how to get started. Perhaps there is a script that they should run or some environment variables that they need to set. Make these steps explicit. These instructions could also be useful to your future self.

You can also document commands to lint the code or run tests. These steps help to ensure high code quality and reduce the likelihood that the changes inadvertently break something. Having instructions for running tests is especially helpful if it requires external setup, such as starting a Selenium server for testing in a browser.

## Authors and acknowledgment
Show your appreciation to those who have contributed to the project.

## License
For open source projects, say how it is licensed.

## Project status
If you have run out of energy or time for your project, put a note at the top of the README saying that development has slowed down or stopped completely. Someone may choose to fork your project or volunteer to step in as a maintainer or owner, allowing your project to keep going. You can also make an explicit request for maintainers.
